Bug 117894 - /etc/init.d/ntpd should call ntpdate with -U ntp
/etc/init.d/ntpd should call ntpdate with -U ntp
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ntp (Show other bugs)
3.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-09 14:21 EST by Jordan Russell
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0414
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2004-03-09 14:21:39 EST
Description of problem:
/etc/init.d/ntpd calls ntpdate as follows:

  /usr/sbin/ntpdate -s -b -p 8 $tickers

It's missing "-U ntp", so ntpdate ends up running with root 
privileges. Running network programs with root privileges when they 
aren't needed of course isn't good for security.

Version-Release number of selected component (if applicable):
ntp-4.1.2-4

How reproducible:
Always

Steps to Reproduce:
n/a

Actual Results:  ntpdate runs as 'root'

Expected Results:  ntpdate runs as 'ntp'

Additional info:

ntpd is run with "-U ntp" (see /etc/sysconfig/ntpd) so this issue is 
specific to the ntpdate call.
Comment 1 Harald Hoyer 2004-03-10 03:36:53 EST
ntpdate has not been patched to drop root privileges, yet...
Comment 2 Jordan Russell 2004-03-10 03:45:10 EST
Hmm?

I can run "ntpdate -U ntp ..." by hand and it works.

Also "man ntpdate" mentions the -U option.
Comment 3 Harald Hoyer 2004-03-10 03:55:52 EST
oops... forgot about that :) ... ok, then you are right :)
Comment 7 Lubomir Kundrak 2007-02-13 12:07:28 EST
Removing Security keyword, because there's no known exploit vector.
Comment 12 Red Hat Bugzilla 2007-06-11 14:51:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0414.html

Note You need to log in before you can comment on or make changes to this bug.